ruby dependencies in ubuntu


Other than installing rvm and rails. ubuntu users will have to install the dependencies, “rvm requirements” will give you a list like this

/usr/bin/apt-get install build-essential openssl libreadline6 libreadline6-dev curl git-core zlib1g zlib1g-dev libssl-dev libyaml-dev libsqlite3-0 libsqlite3-dev sqlite3 libxml2-dev libxslt-dev autoconf libc6-dev ncurses-dev automake libtool bison subversion

After that, we need to install readline

rvm package install readline
cd $HOME/.rvm/src/ruby-1.9.x/ext/readline
ruby extconf.rb -- --with-readline-dir="$HOME/.rvm/usr"
make install
Like it.? Share it:

Comments are closed.